# Uses of Interface
org.opensaml.xmlsec.encryption.EncryptionProperties

Packages that use EncryptionProperties
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of EncryptionProperties in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return EncryptionProperties
Modifier and Type
Method
Description
`EncryptionProperties`
EncryptedType.`getEncryptionProperties()`
Gets the EncryptionProperties child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type EncryptionProperties
Modifier and Type
Method
Description
`void`
EncryptedType.`setEncryptionProperties(EncryptionProperties newEncryptionProperties)`
Sets the EncryptionProperties child element.

## Uses of EncryptionProperties in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement EncryptionProperties
Modifier and Type
Class
Description
`class`
`EncryptionPropertiesImpl`
Concrete implementation of `EncryptionProperties`.
Fields in org.opensaml.xmlsec.encryption.impl declared as EncryptionProperties
Modifier and Type
Field
Description
`private EncryptionProperties`
EncryptedTypeImpl.`encryptionProperties`
EncryptionProperties child element.
Methods in org.opensaml.xmlsec.encryption.impl that return EncryptionProperties
Modifier and Type
Method
Description
`EncryptionProperties`
EncryptionPropertiesBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`EncryptionProperties`
EncryptionPropertiesBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`EncryptionProperties`
EncryptedTypeImpl.`getEncryptionProperties()`
Gets the EncryptionProperties child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type EncryptionProperties
Modifier and Type
Method
Description
`void`
EncryptedTypeImpl.`setEncryptionProperties(EncryptionProperties newEncryptionProperties)`
Sets the EncryptionProperties child element.